package com.ozs.rpm.dto.view;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: ReportViewDataParam
 * @Description:自主报表页面数据获取参数类
 * @author: Zhao You Kai
 * @date: Mar 15, 2019 4:51:42 PM
 */
@Data
public class ReportViewDataParam {
	@ApiModelProperty("报表ID")
	private String reportId;

	@ApiModelProperty("报表类型：0表格 1柱折混合图 2饼状图")
	private Integer reportType;

	@ApiModelProperty("当前页")
	private Integer page;
	@ApiModelProperty("每页条数")
	private Integer pageSize;
	@ApiModelProperty("排序方式")
	private String order;
	@ApiModelProperty("排序字段")
	private String sort;

	@ApiModelProperty("是否分页")
	private Integer ifPage;
	@ApiModelProperty("是否合计")
	private Integer ifTotal;
	@ApiModelProperty("查询条件")
	private List<ReportViewQueryDTO> queryKpis;
	@ApiModelProperty("分组字段和内容")
	private ReportGroupKpiDTO groupKpi;
	@ApiModelProperty("合计数据展示位置 1-数据下方 2 报表上方")
	private Integer totalShowType;
	@ApiModelProperty("是否需要外部传参数。1是  0否")
	private Integer ifOutsideParam;
	@ApiModelProperty("外部传参数值")
	private String ifOutsideParamValue;

	@ApiModelProperty("聚合字段kpiCode")
	private List<String> groupKpiCodes;
}
